picocli

## Interface CommandLine.IHelpFactory

Enclosing class:
  CommandLine

    public static interface CommandLine.IHelpFactory

Creates the `CommandLine.Help` instance used to render the usage help message.

Since:
  3.9

### Method Summary

All Methods Instance Methods Abstract Methods
`CommandLine.Help` `create(CommandLine.Model.CommandSpec commandSpec, CommandLine.Help.ColorScheme colorScheme)` Returns a `Help` instance to assist in rendering the usage help message

### Method Detail

#### create

    CommandLine.Help create(CommandLine.Model.CommandSpec commandSpec,
                            CommandLine.Help.ColorScheme colorScheme)

Returns a `Help` instance to assist in rendering the usage help message

Parameters:
  `commandSpec` - the command to create usage help for
  `colorScheme` - the color scheme to use when rendering usage help
Returns:
  a `Help` instance